#!/usr/bin/env python
# -*- coding: utf-8 -*-

import logging
# import logging.handlers
from logging import handlers
import datetime

logger = logging.getLogger(__name__)
logger.setLevel(logging.DEBUG)

rfh = handlers.TimedRotatingFileHandler(
    'all.log', when='midnight', interval=1, backupCount=7, atTime=datetime.time(0, 0, 0, 0))
rfh.setFormatter(
    logging.Formatter("%(asctime)s - %(levelname)s - %(message)s"))

fh = logging.FileHandler('error.log')
fh.setLevel(logging.ERROR)
fh.setFormatter(
    logging.Formatter("%(asctime)s - %(levelname)s - %(filename)s[:%(lineno)d] - %(message)s"))

logger.addHandler(rfh)
logger.addHandler(fh)

logger.debug('debug message')
logger.info('info message')
logger.warning('warning message')
logger.error('error message')
logger.critical('critical message')
